Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1565836 - The epel-testing version libp11-0.4.7-3.el7.x86_64 breaks openssl engine pkcs11 on el7.4
Summary: The epel-testing version libp11-0.4.7-3.el7.x86_64 breaks openssl engine pkcs...
Keywords:
Status: CLOSED DUPLICATE of bug 1728011
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libp11
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Stef Walter
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 21:20 UTC by Dave Dykstra
Modified: 2019-08-12 09:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-12 09:07:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Dave Dykstra 2018-04-10 21:20:01 UTC
Description of problem:

I tried installing libp11-0.4.7-3.el7.x86_64 and corresponding engine_pkcs11, and running "openssl engine pkcs11" failed.


Version-Release number of selected component (if applicable):
libp11-0.4.7-3


How reproducible:
Very

Steps to Reproduce:
1. install libp11 and engine_pkcs11 version 0.4.7-3.el7
2. run "openssl engine pkcs11"

Actual results:

140280849905568:error:25066067:DSO support routines:DLFCN_LOAD:could not load the shared library:dso_dlfcn.c:187:filename(/usr/lib64/openssl/engines/libpkcs11.so): /usr/lib64/openssl/engines/libpkcs11.so: cannot open shared object file: No such file or directory
140280849905568:error:25070067:DSO support routines:DSO_load:could not load the shared library:dso_lib.c:233:
140280849905568:error:260B6084:engine routines:DYNAMIC_LOAD:dso not found:eng_dyn.c:467:
140280849905568:error:2606A074:engine routines:ENGINE_by_id:no such engine:eng_list.c:392:id=pkcs11

Expected results:

(pkcs11) pkcs11 engine

Additional info:

workaround: 
  ln -s /usr/lib64/engines-1.1/pkcs11.so /usr/lib64/openssl/engines
  ln -s /usr/lib64/engines-1.1/libpkcs11.so /usr/lib64/openssl/engines

Comment 2 Dave Dykstra 2019-07-08 18:56:43 UTC
This problem still exists in 0.4.8.

Comment 3 Dave Dykstra 2019-07-08 19:41:45 UTC
Ticket replaced by #1728011.

Please close this bug, I don't seem to have an option to do that.

Comment 4 Anderson Sasaki 2019-08-12 09:07:33 UTC

*** This bug has been marked as a duplicate of bug 1728011 ***


Note You need to log in before you can comment on or make changes to this bug.